#pragma once

/* This is an abstract class for any objects that need to be updated and rendered every frame.
 * An "actor" is anything that plays a role in the "scene" of the game.
 */


class Actor {
public:
    //TODO: properly make this a safe abstract class
    virtual void update(double tick_time){};
    virtual void render(double tick_time){};

    enum Type {
        bufferfish,
        gravityball
    };
    Type _type;
};
