#pragma once

#include "types.h"

// frameworks and toolkits
#include <SDL/SDL.h>
#include "st.h"
#include "fmod.hpp"
#include "fmod_errors.h"

// c stuff
#include <iostream>
#include <vector>

// my classes

class Actor;
class AudioLoop;
class BufferFish;
class Camera;
class DeathBall;
class Game;
class GravityBall;
class TickTimer;

struct FMOD_SOUND {
    AudioLoop* audio_loop;
};

extern void FMODERRCHECK(FMOD_RESULT result);
extern void ALPHA_HACK(double alpha);
