#pragma once
#ifdef __APPLE__
#include <OpenGL/glu.h>
#else
#include <GL/glu.h>
#endif  
#include <deque>
using namespace std;

struct Particle {
    double x, y, vx, vy;
    double age;
};

class Fountain {
public:
    Fountain();
    void update(double time_elapsed, int spectrum_size, double* spectrum, double* spectrum2);
    void draw();
    deque<Particle> _particles;
private:
    double _time_accum;
    double _spawn_rate;
};
