#include "shatter.h"
#include "game.h"

#include <iostream>
#include <stdio.h>
#include <ctime>

void FMODERRCHECK(FMOD_RESULT result)
{
    if (result != FMOD_OK)
    {
        printf("FMOD error! (%d) %s\n", result, FMOD_ErrorString(result));
        printf("continuing...\n");
        //exit(-1);
    }
}

void ALPHA_HACK(double alpha) {
     GLfloat material_Ke[] = {0.0f, 0.0f, 0.0f, alpha};
     glMaterialfv(GL_FRONT_AND_BACK, GL_EMISSION, material_Ke);
}

int main(int argc, char** argv) {    
    srand(time(NULL));

    Game::get_singleton().main_loop();
}
